summaryrefslogtreecommitdiffstats
path: root/source/l/libcap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/l/libcap
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/l/libcap')
-rw-r--r--source/l/libcap/libcap-2.19.tar.bz2.sign (renamed from source/l/libcap/libcap-2.16.tar.bz2.sign)6
-rwxr-xr-xsource/l/libcap/libcap.SlackBuild41
2 files changed, 31 insertions, 16 deletions
diff --git a/source/l/libcap/libcap-2.16.tar.bz2.sign b/source/l/libcap/libcap-2.19.tar.bz2.sign
index d4925d762..23e2c3988 100644
--- a/source/l/libcap/libcap-2.16.tar.bz2.sign
+++ b/source/l/libcap/libcap-2.19.tar.bz2.sign
@@ -2,7 +2,7 @@
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: See http://www.kernel.org/signature.html for info
-iD8DBQBJN4JLyGugalF9Dw4RAiqLAJ9L42xfkqkbmmTyQJulpL8VoRjurwCeJkLj
-oLAyJMYhVE31Kumb66LU5c8=
-=UTrX
+iD8DBQBLTn0myGugalF9Dw4RAkEcAJ9zpWMkph0bSL/WfNPHtIayydTUOQCeMoiN
+DC9y+17zdyaaieDE7aH2rfs=
+=YEBM
-----END PGP SIGNATURE-----
diff --git a/source/l/libcap/libcap.SlackBuild b/source/l/libcap/libcap.SlackBuild
index e7603570e..f77ad6e51 100755
--- a/source/l/libcap/libcap.SlackBuild
+++ b/source/l/libcap/libcap.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +23,22 @@
# Originally written by Menno Duursma
-PRGNAM=libcap
-VERSION=${VERSION:-2.16}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=libcap
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -49,14 +58,14 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
+cd $PKGNAM-$VERSION || exit 1
zcat $CWD/libcap.capability.h.fix.broken.includes.diff.gz | patch -p1 || exit 1
@@ -72,11 +81,17 @@ sed -i.orig "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
make DYNAMIC=yes $NUMJOBS || make DYNAMIC=yes || exit 1
make install FAKEROOT=$PKG man_prefix=/usr || exit 1
-chmod 755 $PKG/lib/libcap.so*
+chmod 755 $PKG/lib${LIBDIRSUFFIX}/libcap.so*
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Static libs are better placed under /usr:
+if [ -r $PKG/lib${LIBDIRSUFFIX}/libcap.a ]; then
+ mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+ mv $PKG/lib${LIBDIRSUFFIX}/libcap.a $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
# Add included scripts
( cd contrib || exit 1
for file in pcaps4convenience pcaps4server pcaps4suid0 ; do
@@ -93,11 +108,11 @@ rm -rf $PKG/usr/man/man2
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
CHANGELOG License README License pgp.keys.asc doc/capability.notes \
progs/quicktest.sh $CWD/capfaq-0.2.txt $CWD/README.SLACKWARE \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
chown -R root:root $PKG/usr/doc
find $PKG/usr/doc -type f -exec chmod 644 {} \;
@@ -105,5 +120,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz